Name:		wowlauncher
Version:	0.1
Release:	2%{?dist}
Summary:	Utility to speed up World of Warcraft launch

Group:		Amusements/Games
License:	GPLv3
URL:		http://wowlauncher.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}sh/%{name}.tar.gz
Patch0:		%{name}-0.1-movefuncs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

# BuildRequires:	
Requires:	wine

%description
Loads RAMdisk, launches select peripheral software, and starts World of
Warcraft. When WoW is finished running, cleans up RAMdisk and stops most
peripheral software. Able to set up WoW folder to make use of RAMdisk.
***USES A LOT OF RAM*** 

%prep
%setup -q -c %{name}
%patch0 -p 1 -b movefuncs

%build
# % configure
# make %{?_smp_mflags}
# nothing to be done for build

%install
rm -rf $RPM_BUILD_ROOT
# make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_datadir}/%{name}
%{__install} -m 0755 %{name}.sh $RPM_BUILD_ROOT/%{_bindir}/%{name}
%{__install} -m 0644 %{name}.funcs $RPM_BUILD_ROOT/%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc gpl.txt readme.txt release.txt wowlauncher.funcs
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.funcs


%changelog
* Wed Jul 14 2010 J. Randall Owens <jrowens@altair.ghiapet.net> - 0.1-2
- add funcs file in datadir

* Wed Jul  7 2010  <jrowens@ghiapet.net> - 0.1-1
- Initial build attempt

